Subject: Re: bug#61350: Eglot over Tramp freezes with large project

From: Gregory Heytings <[email-masked]>
Date: Wed, 01 Mar 2023 10:46:51 +0000

>> Users, who have set ControlMaster in their ~/.ssh/config (like Thomas), 
>> are not satified. For them we need another setting of 
>> tramp-use-ssh-controlmaster-options. I'm working on this.
>
> Looking at the Tramp code, I think Thomas's idea of using
>
>  -o "ControlMaster=no" -o "ControlPath=none"
>
> would probably be quite effective.
>

Instead of turning ControlMaster off, I suggest to first try to set 
ControlPersist on.  The "freeze" problem described here is typical of 
multiplexing an ssh connection with ControlMaster set without also setting 
ControlPersist.  (If you set ControlMaster without also setting 
ControlPersist, the socket is closed when the connection by which it was 
created is closed, even if other connections are still using it.)